# Form implementation generated from reading ui file 'src/eric7/UI/SymbolsWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SymbolsWidget(object):
    def setupUi(self, SymbolsWidget):
        SymbolsWidget.setObjectName("SymbolsWidget")
        SymbolsWidget.resize(268, 300)
        self.verticalLayout = QtWidgets.QVBoxLayout(SymbolsWidget)
        self.verticalLayout.setContentsMargins(0, 4, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.tableCombo = QtWidgets.QComboBox(parent=SymbolsWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Ignored, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tableCombo.sizePolicy().hasHeightForWidth())
        self.tableCombo.setSizePolicy(sizePolicy)
        self.tableCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToMinimumContentsLengthWithIcon)
        self.tableCombo.setObjectName("tableCombo")
        self.verticalLayout.addWidget(self.tableCombo)
        self.symbolsTable = QtWidgets.QTableView(parent=SymbolsWidget)
        self.symbolsTable.setAlternatingRowColors(True)
        self.symbolsTable.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.SingleSelection)
        self.symbolsTable.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectionBehavior.SelectRows)
        self.symbolsTable.setTextElideMode(QtCore.Qt.TextElideMode.ElideNone)
        self.symbolsTable.setHorizontalScrollMode(QtWidgets.QAbstractItemView.ScrollMode.ScrollPerPixel)
        self.symbolsTable.setObjectName("symbolsTable")
        self.symbolsTable.verticalHeader().setVisible(False)
        self.verticalLayout.addWidget(self.symbolsTable)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem = QtWidgets.QSpacerItem(120, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.label = QtWidgets.QLabel(parent=SymbolsWidget)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.symbolSpinBox = QtWidgets.QSpinBox(parent=SymbolsWidget)
        self.symbolSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.symbolSpinBox.setMinimum(0)
        self.symbolSpinBox.setMaximum(2000000)
        self.symbolSpinBox.setSingleStep(32)
        self.symbolSpinBox.setObjectName("symbolSpinBox")
        self.horizontalLayout_2.addWidget(self.symbolSpinBox)
        self.verticalLayout.addLayout(self.horizontalLayout_2)

        self.retranslateUi(SymbolsWidget)
        QtCore.QMetaObject.connectSlotsByName(SymbolsWidget)
        SymbolsWidget.setTabOrder(self.tableCombo, self.symbolsTable)
        SymbolsWidget.setTabOrder(self.symbolsTable, self.symbolSpinBox)

    def retranslateUi(self, SymbolsWidget):
        _translate = QtCore.QCoreApplication.translate
        SymbolsWidget.setWindowTitle(_translate("SymbolsWidget", "Symbols"))
        self.tableCombo.setToolTip(_translate("SymbolsWidget", "Select the table to be shown"))
        self.label.setText(_translate("SymbolsWidget", "Symbol code:"))
        self.symbolSpinBox.setToolTip(_translate("SymbolsWidget", "Enter the symbol code"))
